/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.PtoVtaUsuarioBancario;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Desenvolvimento
 */
public class PtovtaUsuarioBancarioRender implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PtoVtaUsuarioBancario ptoVta = (PtoVtaUsuarioBancario) o;

        Listcell lc = new Listcell(ptoVta.getEmpresa() == null ? " - " : ptoVta.getEmpresa().getNombempresa());
        lc.setParent(lstm);

        lc = new Listcell(ptoVta.getUsuarioBancario() == null ? " - " : ptoVta.getUsuarioBancario().getCveusuario());
        lc.setParent(lstm);

        lstm.setAttribute("data", ptoVta);

    }
}
